/*****************************************************************
 * Copyright (c) ParaSoft Corporation 1991.  All rights reserved.*
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft       *
 * The copyright notice above does not evidence any              *
 * actual or intended publication of such source code.           *
 *****************************************************************/

extern char *malloc(), *realloc();

# line 3 "f9.y"
#include "extern.h"
#include "head.h"
#include "yaccaut.h"

# line 8 "f9.y"
typedef union  {int integer; Node *node;} YYSTYPE;
# define ALLOCATABLE 258
# define ALLOCATE 259
# define AND_OP 260
# define ASSIGN 261
# define ASSIGNMENT 262
# define BACKSPACE 263
# define BINARY_CONSTANT 264
# define BLOCK_DATA 265
# define CALL 266
# define CASE 267
# define CHARACTER 268
# define CHARACTER_CONSTANT 269
# define CLOSE 270
# define COMMON 271
# define COMPLEX 272
# define CONCAT_OP 273
# define CONTAINS 274
# define CONTINUE 275
# define CYCLE 276
# define DATA 277
# define DCOMPLEX 278
# define DEALLOCATE 279
# define DEFINED_UNARY_OP 280
# define DIMENSION 281
# define DO 282
# define DOUBLE_PRECISION 283
# define ELSE 284
# define ELSE_IF 285
# define ELSE_WHERE 286
# define END 287
# define END_BLOCK_DATA 288
# define END_DO 289
# define END_FILE 290
# define END_FUNCTION 291
# define END_IF 292
# define END_INTERFACE 293
# define END_MODULE 294
# define END_PROGRAM 295
# define END_SELECT 296
# define END_SUBROUTINE 297
# define END_TYPE 298
# define END_WHERE 299
# define ENTRY 300
# define EOS 301
# define EQUIVALENCE 302
# define EQUIV_OP_F 303
# define EQUIV_OP_T 304
# define EXIT 305
# define EXTERNAL 306
# define FORMAT 307
# define FUNCTION 308
# define GO_TO 309
# define HEX_CONSTANT 310
# define IF 311
# define IMPLICIT 312
# define IN 313
# define INCLUDE 314
# define INOUT 315
# define INQUIRE 316
# define INTEGER 317
# define INTEGER_CONSTANT 318
# define INTENT 319
# define INTERFACE 320
# define INTRINSIC 321
# define LDAC 322
# define LOGICAL 323
# define LOGICAL_CONSTANT 324
# define LPEQI 325
# define LPIMP 326
# define MODULE 327
# define NAME 328
# define NAMELIST 329
# define NOT_OP 330
# define NULLIFY 331
# define OCTAL_CONSTANT 332
# define ONLY 333
# define OPEN 334
# define OPERATOR 335
# define OPTIONAL 336
# define OR_OP 337
# define OUT 338
# define PARAMETER 339
# define PAUSE 340
# define POINTER 341
# define POINT_OP 342
# define POINT_TO 343
# define POWER_OP 344
# define PRINT 345
# define PRIVATE 346
# define PROCEDURE 347
# define KPROGRAM 348
# define PUBLIC 349
# define RDAC 350
# define READ 351
# define REAL 352
# define REAL_CONSTANT 353
# define RECURSIVE 354
# define REL_OP_EQ 355
# define REL_OP_GE 356
# define REL_OP_GT 357
# define REL_OP_LE 358
# define REL_OP_LT 359
# define REL_OP_NE 360
# define RESULT 361
# define RETURN 362
# define REWIND 363
# define SAVE 364
# define SELECT 365
# define SEQUENCE 366
# define STOP 367
# define SUBROUTINE 368
# define KTARGET 369
# define THEN 370
# define TO 371
# define TYPE 372
# define USE 373
# define WHERE 374
# define WHILE 375
# define WRITE 376
# define ARRAY 377
# define FORALL 378
# define DUMTOK 379
# define OP 380
# define CODE 381
# define IGNORE_STMT 382
#define yyclearin yychar = -1
#define yyerrok yyerrflag = 0
extern int yychar;
extern int yyerrflag;
#ifndef YYMAXDEPTH
#define YYMAXDEPTH 150
#endif
extern YYSTYPE yylval, yyval;
# define YYERRCODE 257
extern int yyexca[];
# define YYNPROD 530
# define YYLAST 1881
extern int yyact[];
extern int yypact[];
extern int yypgo[];
extern int yyr1[];
extern int yyr2[];
extern int yychk[];
extern int yydef[];
typedef struct { char *t_name; int t_val; } yytoktype;
#ifndef YYDEBUG
#	define YYDEBUG	0	/* don't allow debugging */
#endif

#if YYDEBUG

extern yytoktype yytoks[];
extern char * yyreds[];
#endif /* YYDEBUG */
#line 1 "/usr/lib/yaccpar"
/*	@(#)yaccpar 1.10 89/04/04 SMI; from S5R3 1.10	*/

/*
** Skeleton parser driver for yacc output
*/

/*
** yacc user known macros and defines
*/
#define YYERROR		goto yyerrlab
#define YYACCEPT	{ free(yys); free(yyv); return(0); }
#define YYABORT		{ free(yys); free(yyv); return(1); }
#define YYBACKUP( newtoken, newvalue )\
{\
	if ( yychar >= 0 || ( yyr2[ yytmp ] >> 1 ) != 1 )\
	{\
		yyerror( "syntax error - cannot backup" );\
		goto yyerrlab;\
	}\
	yychar = newtoken;\
	yystate = *yyps;\
	yylval = newvalue;\
	goto yynewstate;\
}
#define YYRECOVERING()	(!!yyerrflag)
#ifndef YYDEBUG
#	define YYDEBUG	1	/* make debugging available */
#endif

/*
** user known globals
*/
extern int yydebug;			/* set to 1 to get debugging */

/*
** driver internal defines
*/
#define YYFLAG		(-1000)

/*
** static variables used by the parser
*/
extern YYSTYPE *yyv;			/* value stack */
extern int *yys;			/* state stack */

extern YYSTYPE *yypv;			/* top of value stack */
extern int *yyps;			/* top of state stack */

extern int yystate;			/* current state */
extern int yytmp;			/* extra var (lasts between blocks) */

extern int yynerrs;			/* number of errors */

extern int yyerrflag;			/* error recovery flag */
extern int yychar;			/* current input token number */

